package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class LevelProduk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "LevelProduk_M")
public class LevelProdukVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokProdukFk")
	@Caption(value="Object Kelompok Produk")
	private KelompokProdukVO kelompokProduk;

	public void setKelompokProduk(KelompokProdukVO kelompokProduk) {
		this.kelompokProduk = kelompokProduk;
	}

	@Column(name = "KdKelompokProduk", nullable = true )
	public KelompokProdukVO getKelompokProduk(){
		return this.kelompokProduk;
	}

	@Column(name = "ObjectKelompokProdukFk", insertable=false,updatable=false)
	private Integer kelompokProdukId;

	@Caption(value="Kode Level Produk")
	private Byte kdLevelProduk;

	public void setKdLevelProduk(Byte kdLevelProduk) {
		this.kdLevelProduk = kdLevelProduk;
	}

	@Column(name = "KdLevelProduk", nullable = false )
	public Byte getKdLevelProduk(){
		return this.kdLevelProduk;
	}

	@Caption(value="Level Produk")
	private String levelProduk;

	public void setLevelProduk(String levelProduk) {
		this.levelProduk = levelProduk;
	}

	@Column(name = "LevelProduk", nullable = false , length = 30)
	public String getLevelProduk(){
		return this.levelProduk;
	}

	@Caption(value="QLevel Produk")
	private Byte qLevelProduk;

	public void setqLevelProduk(Byte qLevelProduk) {
		this.qLevelProduk = qLevelProduk;
	}

	@Column(name = "QLevelProduk", nullable = false )
	public Byte getqLevelProduk(){
		return this.qLevelProduk;
	}


}

